import { useClickedPointConfig } from "../../../stores/useClickedPointConfig";
import { useEffect } from "react";
import { FeatureProperties } from "./FeatureProperties";

export const WorkingPointPopup = ({ feature }) => {
  const featureId = feature.properties.location_id;
  const { setClickedPointConfig } = useClickedPointConfig();

  useEffect(() => setClickedPointConfig(featureId, false), [feature]);

  return <FeatureProperties feature={feature} dynamicStatus={status} />;
};
